package com.yidianling.muse.activity

import android.os.Build
import android.os.Bundle
import android.widget.ImageView
import android.widget.TextView
import androidx.appcompat.widget.AppCompatSeekBar
import androidx.constraintlayout.widget.ConstraintLayout
import com.alibaba.android.arouter.facade.annotation.Route
import com.bumptech.glide.Glide
import com.ydl.ydlcommon.base.BaseActivity
import com.ydl.ydlcommon.bean.StatusBarOptions
import com.ydl.ydlcommon.utils.StatusBarUtils.Companion.setTransparentForImageView
import com.ydl.ydlcommon.utils.StatusBarUtils.Companion.statusBarLightMode
import com.ydl.ydlcommon.utils.remind.ToastHelper
import com.yidianling.muse.R
import com.yidianling.muse.widget.ShareMeditationDialog
import kotlinx.android.synthetic.main.activity_play_meditation.*
import kotlin.properties.Delegates


@Route(path = "/muse/play_pure_music")
class PlayPureMusicActivity : BaseActivity() {

    private var bgUrl =
        "https://gimg2.baidu.com/image_search/src=http%3A%2F%2Fcuimianxinli.com%2Fupload%2F2016-07%2F16072613412794.jpg&refer=http%3A%2F%2Fcuimianxinli.com&app=2002&size=f9999,10000&q=a80&n=0&g=0n&fmt=auto?sec=1654150276&t=393628420414c371b4b00540943cf0c7"

    private var collected = false

    private var shareDialog: ShareMeditationDialog? = null

    override fun onCreate(savedInstanceState: Bundle?) {
        setTransparentForImageView(this, null)
        statusBarLightMode(this)
        super.onCreate(savedInstanceState)

        initView()
    }

    override fun initDataAndEvent() {

    }

    override fun layoutResId(): Int {
        return R.layout.activity_play_pure_music
    }

    override fun getStatusViewOptions(): StatusBarOptions {
        return StatusBarOptions(true, false)
    }

    private fun initView() {

        Glide.with(this)
            .load(bgUrl)
            .into(iv_bg)

        iv_close.setOnClickListener {
            finish()
        }

        iv_back.setOnClickListener {
            finish()
        }

        iv_share.setOnClickListener {
            if (shareDialog == null) {
                shareDialog = ShareMeditationDialog
                    .newInstance(
                        shareImageUrl = bgUrl,
                        shareContent = "老铁，我是你要分享的内容"
                    )
            }
            if (shareDialog != null && shareDialog?.isAdded == false) {
                shareDialog?.show(supportFragmentManager, ShareMeditationDialog.TAG)
            }
        }

        tv_title.text = "这是一首简单的冥想BGM"
        tv_content.text = "写着人们心疼的曲折，我想我很快乐，做一个旁观者"


        iv_collect.setOnClickListener {
            collected = !collected
            if (collected) {
                ToastHelper.show("收藏成功！")
                iv_collect.setImageResource(R.drawable.icon_play_meditation_collect)
            } else {
                ToastHelper.show("取消收藏！")
                iv_collect.setImageResource(R.drawable.icon_play_meditation_collect)
            }

        }
        iv_time_off.setOnClickListener {
            ToastHelper.show("设置定时关闭！")
        }

//        iv_play_or_pause.setOnClickListener {
//
//        }

//        iv_previous.setOnClickListener {
//            ToastHelper.show("上一首！")
//        }

//        iv_next.setOnClickListener {
//            ToastHelper.show("下一首！")
//        }

//        iv_rewind.setOnClickListener {
//
//
//        }
//
//        iv_fast_forward.setOnClickListener {
//
//        }

    }

}